# Uses of Enum
ch.qos.logback.core.util.AggregationType

Packages that use AggregationType
Package
Description
ch.qos.logback.core.joran.action
ch.qos.logback.core.joran.util
ch.qos.logback.core.util
Contains various utility classes.

## Uses of AggregationType in ch.qos.logback.core.joran.action

Methods in ch.qos.logback.core.joran.action that return AggregationType
Modifier and Type
Method
Description
`AggregationType`
IADataForComplexProperty.`getAggregationType()`
Constructors in ch.qos.logback.core.joran.action with parameters of type AggregationType
Modifier
Constructor
Description
``
`IADataForComplexProperty(PropertySetter parentBean, AggregationType aggregationType, String complexPropertyName)`

## Uses of AggregationType in ch.qos.logback.core.joran.util

Methods in ch.qos.logback.core.joran.util that return AggregationType
Modifier and Type
Method
Description
`AggregationType`
PropertySetter.`computeAggregationType(String name)`
Methods in ch.qos.logback.core.joran.util with parameters of type AggregationType
Modifier and Type
Method
Description
`Class<?>`
PropertySetter.`getClassNameViaImplicitRules(String name, AggregationType aggregationType, DefaultNestedComponentRegistry registry)`

## Uses of AggregationType in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util that return AggregationType
Modifier and Type
Method
Description
`static AggregationType`
AggregationType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AggregationType[]`
AggregationType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.